package lttc.cn.centeen.config;

/**
 * 功能描述
 * @author: scott
 * @date: 2024年07月17日 AM 8:22
 */
import lombok.extern.slf4j.Slf4j;
import lttc.cn.centeen.utils.CommonConstant;
import lttc.cn.centeen.utils.MinioUtil;
import lttc.cn.centeen.utils.SymbolConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Slf4j
@Configuration
public class MinioConfig {
    private String minioUrl = "10.200.1.115:9000";
    private String minioName = "minioadmin";

    private String minioPass = "minioadmin";

    private String bucketName = "canttenadvice";

    @Bean
    public void initMinio(){
        if(!minioUrl.startsWith(CommonConstant.STR_HTTP)){
            minioUrl = "http://" + minioUrl;
        }
        if(!minioUrl.endsWith(SymbolConstant.SINGLE_SLASH)){
            minioUrl = minioUrl.concat(SymbolConstant.SINGLE_SLASH);
        }
        MinioUtil.setMinioUrl(minioUrl);
        MinioUtil.setMinioName(minioName);
        MinioUtil.setMinioPass(minioPass);
        MinioUtil.setBucketName(bucketName);
    }

}

